StarWriterStruct.cxx File Reference
`#include <map>`
`#include <string>`
`#include <librevenge/librevenge.h>`
`#include "StarWriterStruct.hxx"`
`#include "StarAttribute.hxx"`
`#include "StarFormatManager.hxx"`
`#include "StarObject.hxx"`
`#include "StarZone.hxx"`
`#include "STOFFDebug.hxx"`

## Namespaces

namespace | StarWriterStruct
| namespace use to keep basic writer structure

## Functions

std::ostream & | StarWriterStruct::operator<< (std::ostream &o, Attribute const &attrib)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, Bookmark const &mark)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, DatabaseName const &dbase)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, Dictionary const &dbase)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, DocStats const &stats)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, Macro const &macro)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, Mark const &mark)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, NodeRedline const &nodeRedline)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, NoteInfo const &info)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, PrintData const &info)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, Redline const &redline)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, TOX const &tox)
std::ostream & | StarWriterStruct::operator<< (std::ostream &o, TOX51 const &tox)